List my private templates
curl --request GET \
--url https://loomloom.cogfoundry.ai/loom/v1/users/me/templates \
--header 'Authorization: <api-key>'import requests
url = "https://loomloom.cogfoundry.ai/loom/v1/users/me/templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://loomloom.cogfoundry.ai/loom/v1/users/me/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"description": "<string>",
"latestVersionId": "<string>",
"name": "<string>",
"primaryOutputType": "<string>",
"publishedVersionId": "<string>",
"status": "<string>",
"templateId": "<string>",
"updatedAtUnix": 123
}
],
"totalCount": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}List my private templates
Returns private template summaries for the authenticated user. The response intentionally excludes workflow specs, hidden prompts, runtime config, and Market release package internals.
GET
/
loom
/
v1
/
users
/
me
/
templates
List my private templates
Authorizations
Use Authorization: Bearer <api-token>.
Query Parameters
Template status filter. Default active.
Page size. Default 100, max 500.
Page offset. Default 0.